/*
 * Copyright (C) 2010 Canonical Ltd.
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License
 * version 3.0 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3.0 for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library. If not, see
 * <http://www.gnu.org/licenses/>.
 *
 * Authored by Ken VanDine <ken.vandine@canonical.com>
 */

#include <gtk/gtk.h>
#include <gwibber-gtk.h>

void my_gwibber_entry()
{
	GtkWidget* window = gtk_window_new(GTK_WINDOW_TOPLEVEL);

	gtk_window_set_default_size(GTK_WINDOW(window), 400, 150);
	gtk_window_set_title(GTK_WINDOW(window), "Gwibber Poster (C)");
	gtk_window_set_icon_name(GTK_WINDOW(window), "gwibber");
	GwibberGtkEntry* entry = gwibber_gtk_entry_new ();
	gtk_container_add ((GtkContainer*) window, (GtkWidget*) entry);
	g_signal_connect(G_OBJECT(window), "destroy", G_CALLBACK(gtk_main_quit), NULL);

	gtk_widget_show_all(window);
}

int main(int argc, char *argv[])
{
	gtk_init(&argc, &argv);

	my_gwibber_entry();

	gtk_main();

	return 0;
}
